library(RColorBrewer)
library(ggplot2)
source("utils.R")

size1c = 3.4252
size1.5c = 4.488189
size2c = 7.007874

pastels1 = brewer.pal(9,"Pastel1")


cbPalette <- c("#999999", "#E69F00", "#56B4E9", "#009E73", "#F0E442", "#0072B2", "#D55E00", "#CC79A7")
singCol = brewer.pal(3, "Pastel2")[1]#"gray75"
twoCol = cbPalette[6:7]
twoCol[1] = changeShade(twoCol[1], 1/2)
twoCol[2] = changeShade(twoCol[2], 2)
##twoCol = cbPalette[c(6,8)]
threeCol = cbPalette[2:4]
threeCol = brewer.pal(8, "RdYlBu")[c(1,2,3)]
pTypeCol = brewer.pal(8, "RdYlBu")[c(1,2,3)]
factorsCol = cbPalette[c(4,6,8)]

## singCol = "gray50"
## twoCol = c("gray30", "gray60")
## threeCol = c("gray30", "gray60", "gray90")
theme_bw2 = theme_bw(base_size=12) +  theme(panel.grid.major = element_blank(),  panel.grid.minor = element_blank(),
                         axis.text.x = element_text(colour = "black"), axis.text.y = element_text(colour = "black"))

dpText = expression(paste(italic("d'")))
guitarCodes = c("braz", "indi", "maho", "mapl", "sape", "waln")
guitarLabelsShort = c("Braz. Rsw.", "Ind. Rsw.", "Mahogany", "Maple", "Sapele", "Walnut")

playerTypes = c("professional", "semi-pro", "amateur")
playerLabels = c("Professional", "Semi-pro", "Amateur")
playerLabelsShort = c("Pro", "Semipro", "Amateur")

gPairs = list()
gPairs[[1]] = c("braz", "indi")
gPairs[[2]] = c("braz", "sape")
gPairs[[3]] = c("braz", "maho")
gPairs[[4]] = c("braz", "waln")
gPairs[[5]] = c("braz", "mapl")

gPairs[[6]] = c("indi", "sape")
gPairs[[7]] = c("indi", "maho")
gPairs[[8]] = c("indi", "waln")
gPairs[[9]] = c("indi", "mapl")

gPairs[[10]] = c("sape", "maho")
gPairs[[11]] = c("sape", "waln")
gPairs[[12]] = c("sape", "mapl")

gPairs[[13]] = c("maho", "waln")
gPairs[[14]] = c("maho", "mapl")

gPairs[[15]] = c("waln", "mapl")


pTypePairs = list(c("professional", "semi-pro"), c("professional", "amateur"), c("semi-pro", "amateur"))
